package com.brilliance.isc.common.nosmod.vo;

import com.brilliance.isc.bo.Act;
import com.brilliance.isc.bo.Cbe;
import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.io.Serializable;

/**
 * @program: isc-funds
 * @ClassName: Nosmod
 * @description:
 * @author:huangshunlin
 * @create:2024-10-18 20:30
 */
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Nosmod extends AbstractCommonVo implements Serializable {
    private Noscbs cbs;

    private Cbe wrkcbe;

    private Act rec;

    @Override
    public void reset() {
        super.reset();
        if (cbs == null) {
            cbs = new Noscbs();
        }
        cbs.reset();
        if (wrkcbe == null) {
            wrkcbe = new Cbe();
        }

        if (rec == null) {
            rec = new Act();
        }

    }
}
